> For the complete documentation index, see [llms.txt](https://docs.ilert.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ilert.com/developer-docs/rest-api/api-reference/event-flows.md).

# Event Flows

## List existing event flows.

> Returns a shallow list of event flows without the full node tree. Use the single resource endpoint to retrieve the complete event flow including all nodes and branches.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Event Flows"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"EventFlowListItem":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"managedBy":{"$ref":"#/components/schemas/ManagedBy"}}},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"ManagedBy":{"type":"object","readOnly":true,"description":"Present when this entity is managed outside of the ilert web app, for example through Terraform, Pulumi or the API. Read-only.","properties":{"type":{"type":"string","enum":["API","TERRAFORM","PULUMI","ILERT"]},"source":{"type":"string","description":"Identifier of the system managing this entity."}}}}},"paths":{"/event-flows":{"get":{"tags":["Event Flows"],"summary":"List existing event flows.","description":"Returns a shallow list of event flows without the full node tree. Use the single resource endpoint to retrieve the complete event flow including all nodes and branches.","parameters":[{"name":"start-index","in":"query","description":"an integer specifying the starting point (beginning with 0) when paging through a list of entities","schema":{"type":"integer","format":"int32","default":0}},{"name":"max-results","in":"query","description":"the maximum number of results when paging through a list of entities.","schema":{"maximum":100,"type":"integer","format":"int32","default":50}}],"responses":{"200":{"description":"The event flows","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EventFlowListItem"}}}}}}}}}}
```

## POST /event-flows

> Create a new event flow.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Event Flows"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"EventFlow":{"type":"object","required":["name","root"],"properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"root":{"$ref":"#/components/schemas/EventFlowNode"},"managedBy":{"$ref":"#/components/schemas/ManagedBy"}}},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"EventFlowNode":{"type":"object","required":["nodeType"],"properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"nodeType":{"type":"string","enum":["ROOT","SUPPORT_HOURS","ROUTE_EVENT","DEFINE_BRANCHES","WAIT","TRANSFORM"]},"metadata":{"$ref":"#/components/schemas/EventFlowNodeMetadata"},"branches":{"type":"array","items":{"$ref":"#/components/schemas/EventFlowBranch"}}}},"EventFlowNodeMetadata":{"oneOf":[{"$ref":"#/components/schemas/EventFlowNodeMetadataSupportHours"},{"$ref":"#/components/schemas/EventFlowNodeMetadataRouteEvent"},{"$ref":"#/components/schemas/EventFlowNodeMetadataDefineBranches"},{"$ref":"#/components/schemas/EventFlowNodeMetadataWait"},{"$ref":"#/components/schemas/EventFlowNodeMetadataTransform"}]},"EventFlowNodeMetadataSupportHours":{"type":"object","required":["supportHoursId"],"properties":{"supportHoursId":{"type":"integer","format":"int64"}}},"EventFlowNodeMetadataRouteEvent":{"type":"object","required":["alertSourceId"],"properties":{"alertSourceId":{"type":"integer","format":"int64"},"overwritePriority":{"type":"string","enum":["HIGH","LOW"]},"escalationPolicyId":{"type":"integer","format":"int64"}}},"EventFlowNodeMetadataDefineBranches":{"type":"object","properties":{"definitions":{"type":"array","items":{"$ref":"#/components/schemas/EventFlowNodeDefinition"}}}},"EventFlowNodeDefinition":{"type":"object","required":["branchName"],"properties":{"branchName":{"type":"string"},"conditions":{"type":"string"}}},"EventFlowNodeMetadataWait":{"type":"object","properties":{"waitForDuration":{"type":"string"},"waitStartSupportHoursId":{"type":"integer","format":"int64"},"waitEndSupportHoursId":{"type":"integer","format":"int64"}}},"EventFlowNodeMetadataTransform":{"type":"object","properties":{"condition":{"type":"string"},"rules":{"type":"array","items":{"$ref":"#/components/schemas/EventFlowNodeRule"}}}},"EventFlowNodeRule":{"type":"object","required":["name","target","operator"],"properties":{"name":{"type":"string"},"target":{"type":"string"},"operator":{"type":"string","enum":["SET","COPY","MAP","TEMPLATE","MERGE","APPEND_ARRAY"]},"value":{"$ref":"#/components/schemas/DynamicValue"},"source":{"type":"string"},"mapping":{"type":"object","additionalProperties":{"type":"string","nullable":true}},"default":{"$ref":"#/components/schemas/DynamicValue"},"properties":{"type":"object","additionalProperties":{"type":"string","nullable":true}},"items":{"type":"array","items":{"type":"object","additionalProperties":{"type":"string","nullable":true}}}}},"DynamicValue":{"nullable":true,"oneOf":[{"type":"string"},{"type":"number"},{"type":"boolean"},{"type":"object","additionalProperties":true},{"type":"array","items":{}}]},"EventFlowBranch":{"type":"object","required":["branchType"],"properties":{"id":{"type":"integer","format":"int64"},"branchType":{"type":"string","enum":["BRANCH","CATCH_ALL","ACCEPTED"]},"condition":{"type":"string"},"target":{"$ref":"#/components/schemas/EventFlowNode"}}},"ManagedBy":{"type":"object","readOnly":true,"description":"Present when this entity is managed outside of the ilert web app, for example through Terraform, Pulumi or the API. Read-only.","properties":{"type":{"type":"string","enum":["API","TERRAFORM","PULUMI","ILERT"]},"source":{"type":"string","description":"Identifier of the system managing this entity."}}}}},"paths":{"/event-flows":{"post":{"tags":["Event Flows"],"summary":"Create a new event flow.","requestBody":{"description":"the event flow","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventFlow"}}},"required":true},"responses":{"201":{"description":"The newly created event flow","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventFlow"}}}}}}}}}
```

## GET /event-flows/{id}

> Get a specific event flow.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Event Flows"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"EventFlow":{"type":"object","required":["name","root"],"properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"root":{"$ref":"#/components/schemas/EventFlowNode"},"managedBy":{"$ref":"#/components/schemas/ManagedBy"}}},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"EventFlowNode":{"type":"object","required":["nodeType"],"properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"nodeType":{"type":"string","enum":["ROOT","SUPPORT_HOURS","ROUTE_EVENT","DEFINE_BRANCHES","WAIT","TRANSFORM"]},"metadata":{"$ref":"#/components/schemas/EventFlowNodeMetadata"},"branches":{"type":"array","items":{"$ref":"#/components/schemas/EventFlowBranch"}}}},"EventFlowNodeMetadata":{"oneOf":[{"$ref":"#/components/schemas/EventFlowNodeMetadataSupportHours"},{"$ref":"#/components/schemas/EventFlowNodeMetadataRouteEvent"},{"$ref":"#/components/schemas/EventFlowNodeMetadataDefineBranches"},{"$ref":"#/components/schemas/EventFlowNodeMetadataWait"},{"$ref":"#/components/schemas/EventFlowNodeMetadataTransform"}]},"EventFlowNodeMetadataSupportHours":{"type":"object","required":["supportHoursId"],"properties":{"supportHoursId":{"type":"integer","format":"int64"}}},"EventFlowNodeMetadataRouteEvent":{"type":"object","required":["alertSourceId"],"properties":{"alertSourceId":{"type":"integer","format":"int64"},"overwritePriority":{"type":"string","enum":["HIGH","LOW"]},"escalationPolicyId":{"type":"integer","format":"int64"}}},"EventFlowNodeMetadataDefineBranches":{"type":"object","properties":{"definitions":{"type":"array","items":{"$ref":"#/components/schemas/EventFlowNodeDefinition"}}}},"EventFlowNodeDefinition":{"type":"object","required":["branchName"],"properties":{"branchName":{"type":"string"},"conditions":{"type":"string"}}},"EventFlowNodeMetadataWait":{"type":"object","properties":{"waitForDuration":{"type":"string"},"waitStartSupportHoursId":{"type":"integer","format":"int64"},"waitEndSupportHoursId":{"type":"integer","format":"int64"}}},"EventFlowNodeMetadataTransform":{"type":"object","properties":{"condition":{"type":"string"},"rules":{"type":"array","items":{"$ref":"#/components/schemas/EventFlowNodeRule"}}}},"EventFlowNodeRule":{"type":"object","required":["name","target","operator"],"properties":{"name":{"type":"string"},"target":{"type":"string"},"operator":{"type":"string","enum":["SET","COPY","MAP","TEMPLATE","MERGE","APPEND_ARRAY"]},"value":{"$ref":"#/components/schemas/DynamicValue"},"source":{"type":"string"},"mapping":{"type":"object","additionalProperties":{"type":"string","nullable":true}},"default":{"$ref":"#/components/schemas/DynamicValue"},"properties":{"type":"object","additionalProperties":{"type":"string","nullable":true}},"items":{"type":"array","items":{"type":"object","additionalProperties":{"type":"string","nullable":true}}}}},"DynamicValue":{"nullable":true,"oneOf":[{"type":"string"},{"type":"number"},{"type":"boolean"},{"type":"object","additionalProperties":true},{"type":"array","items":{}}]},"EventFlowBranch":{"type":"object","required":["branchType"],"properties":{"id":{"type":"integer","format":"int64"},"branchType":{"type":"string","enum":["BRANCH","CATCH_ALL","ACCEPTED"]},"condition":{"type":"string"},"target":{"$ref":"#/components/schemas/EventFlowNode"}}},"ManagedBy":{"type":"object","readOnly":true,"description":"Present when this entity is managed outside of the ilert web app, for example through Terraform, Pulumi or the API. Read-only.","properties":{"type":{"type":"string","enum":["API","TERRAFORM","PULUMI","ILERT"]},"source":{"type":"string","description":"Identifier of the system managing this entity."}}}}},"paths":{"/event-flows/{id}":{"get":{"tags":["Event Flows"],"summary":"Get a specific event flow.","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"The requested event flow","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventFlow"}}}}}}}}}
```

## PUT /event-flows/{id}

> Update a specific event flow.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Event Flows"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"EventFlow":{"type":"object","required":["name","root"],"properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"root":{"$ref":"#/components/schemas/EventFlowNode"},"managedBy":{"$ref":"#/components/schemas/ManagedBy"}}},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"EventFlowNode":{"type":"object","required":["nodeType"],"properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"nodeType":{"type":"string","enum":["ROOT","SUPPORT_HOURS","ROUTE_EVENT","DEFINE_BRANCHES","WAIT","TRANSFORM"]},"metadata":{"$ref":"#/components/schemas/EventFlowNodeMetadata"},"branches":{"type":"array","items":{"$ref":"#/components/schemas/EventFlowBranch"}}}},"EventFlowNodeMetadata":{"oneOf":[{"$ref":"#/components/schemas/EventFlowNodeMetadataSupportHours"},{"$ref":"#/components/schemas/EventFlowNodeMetadataRouteEvent"},{"$ref":"#/components/schemas/EventFlowNodeMetadataDefineBranches"},{"$ref":"#/components/schemas/EventFlowNodeMetadataWait"},{"$ref":"#/components/schemas/EventFlowNodeMetadataTransform"}]},"EventFlowNodeMetadataSupportHours":{"type":"object","required":["supportHoursId"],"properties":{"supportHoursId":{"type":"integer","format":"int64"}}},"EventFlowNodeMetadataRouteEvent":{"type":"object","required":["alertSourceId"],"properties":{"alertSourceId":{"type":"integer","format":"int64"},"overwritePriority":{"type":"string","enum":["HIGH","LOW"]},"escalationPolicyId":{"type":"integer","format":"int64"}}},"EventFlowNodeMetadataDefineBranches":{"type":"object","properties":{"definitions":{"type":"array","items":{"$ref":"#/components/schemas/EventFlowNodeDefinition"}}}},"EventFlowNodeDefinition":{"type":"object","required":["branchName"],"properties":{"branchName":{"type":"string"},"conditions":{"type":"string"}}},"EventFlowNodeMetadataWait":{"type":"object","properties":{"waitForDuration":{"type":"string"},"waitStartSupportHoursId":{"type":"integer","format":"int64"},"waitEndSupportHoursId":{"type":"integer","format":"int64"}}},"EventFlowNodeMetadataTransform":{"type":"object","properties":{"condition":{"type":"string"},"rules":{"type":"array","items":{"$ref":"#/components/schemas/EventFlowNodeRule"}}}},"EventFlowNodeRule":{"type":"object","required":["name","target","operator"],"properties":{"name":{"type":"string"},"target":{"type":"string"},"operator":{"type":"string","enum":["SET","COPY","MAP","TEMPLATE","MERGE","APPEND_ARRAY"]},"value":{"$ref":"#/components/schemas/DynamicValue"},"source":{"type":"string"},"mapping":{"type":"object","additionalProperties":{"type":"string","nullable":true}},"default":{"$ref":"#/components/schemas/DynamicValue"},"properties":{"type":"object","additionalProperties":{"type":"string","nullable":true}},"items":{"type":"array","items":{"type":"object","additionalProperties":{"type":"string","nullable":true}}}}},"DynamicValue":{"nullable":true,"oneOf":[{"type":"string"},{"type":"number"},{"type":"boolean"},{"type":"object","additionalProperties":true},{"type":"array","items":{}}]},"EventFlowBranch":{"type":"object","required":["branchType"],"properties":{"id":{"type":"integer","format":"int64"},"branchType":{"type":"string","enum":["BRANCH","CATCH_ALL","ACCEPTED"]},"condition":{"type":"string"},"target":{"$ref":"#/components/schemas/EventFlowNode"}}},"ManagedBy":{"type":"object","readOnly":true,"description":"Present when this entity is managed outside of the ilert web app, for example through Terraform, Pulumi or the API. Read-only.","properties":{"type":{"type":"string","enum":["API","TERRAFORM","PULUMI","ILERT"]},"source":{"type":"string","description":"Identifier of the system managing this entity."}}}}},"paths":{"/event-flows/{id}":{"put":{"tags":["Event Flows"],"summary":"Update a specific event flow.","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"requestBody":{"description":"the event flow","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventFlow"}}},"required":true},"responses":{"200":{"description":"The updated event flow","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventFlow"}}}}}}}}}
```

## DELETE /event-flows/{id}

> Delete a specific event flow.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Event Flows"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}}},"paths":{"/event-flows/{id}":{"delete":{"tags":["Event Flows"],"summary":"Delete a specific event flow.","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"responses":{"204":{"description":"Empty body delete response","content":{}}}}}}}
```

## GET /event-flows/name/{name}

> Get the event flow with the specified name.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Event Flows"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"EventFlow":{"type":"object","required":["name","root"],"properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"root":{"$ref":"#/components/schemas/EventFlowNode"},"managedBy":{"$ref":"#/components/schemas/ManagedBy"}}},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"EventFlowNode":{"type":"object","required":["nodeType"],"properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"nodeType":{"type":"string","enum":["ROOT","SUPPORT_HOURS","ROUTE_EVENT","DEFINE_BRANCHES","WAIT","TRANSFORM"]},"metadata":{"$ref":"#/components/schemas/EventFlowNodeMetadata"},"branches":{"type":"array","items":{"$ref":"#/components/schemas/EventFlowBranch"}}}},"EventFlowNodeMetadata":{"oneOf":[{"$ref":"#/components/schemas/EventFlowNodeMetadataSupportHours"},{"$ref":"#/components/schemas/EventFlowNodeMetadataRouteEvent"},{"$ref":"#/components/schemas/EventFlowNodeMetadataDefineBranches"},{"$ref":"#/components/schemas/EventFlowNodeMetadataWait"},{"$ref":"#/components/schemas/EventFlowNodeMetadataTransform"}]},"EventFlowNodeMetadataSupportHours":{"type":"object","required":["supportHoursId"],"properties":{"supportHoursId":{"type":"integer","format":"int64"}}},"EventFlowNodeMetadataRouteEvent":{"type":"object","required":["alertSourceId"],"properties":{"alertSourceId":{"type":"integer","format":"int64"},"overwritePriority":{"type":"string","enum":["HIGH","LOW"]},"escalationPolicyId":{"type":"integer","format":"int64"}}},"EventFlowNodeMetadataDefineBranches":{"type":"object","properties":{"definitions":{"type":"array","items":{"$ref":"#/components/schemas/EventFlowNodeDefinition"}}}},"EventFlowNodeDefinition":{"type":"object","required":["branchName"],"properties":{"branchName":{"type":"string"},"conditions":{"type":"string"}}},"EventFlowNodeMetadataWait":{"type":"object","properties":{"waitForDuration":{"type":"string"},"waitStartSupportHoursId":{"type":"integer","format":"int64"},"waitEndSupportHoursId":{"type":"integer","format":"int64"}}},"EventFlowNodeMetadataTransform":{"type":"object","properties":{"condition":{"type":"string"},"rules":{"type":"array","items":{"$ref":"#/components/schemas/EventFlowNodeRule"}}}},"EventFlowNodeRule":{"type":"object","required":["name","target","operator"],"properties":{"name":{"type":"string"},"target":{"type":"string"},"operator":{"type":"string","enum":["SET","COPY","MAP","TEMPLATE","MERGE","APPEND_ARRAY"]},"value":{"$ref":"#/components/schemas/DynamicValue"},"source":{"type":"string"},"mapping":{"type":"object","additionalProperties":{"type":"string","nullable":true}},"default":{"$ref":"#/components/schemas/DynamicValue"},"properties":{"type":"object","additionalProperties":{"type":"string","nullable":true}},"items":{"type":"array","items":{"type":"object","additionalProperties":{"type":"string","nullable":true}}}}},"DynamicValue":{"nullable":true,"oneOf":[{"type":"string"},{"type":"number"},{"type":"boolean"},{"type":"object","additionalProperties":true},{"type":"array","items":{}}]},"EventFlowBranch":{"type":"object","required":["branchType"],"properties":{"id":{"type":"integer","format":"int64"},"branchType":{"type":"string","enum":["BRANCH","CATCH_ALL","ACCEPTED"]},"condition":{"type":"string"},"target":{"$ref":"#/components/schemas/EventFlowNode"}}},"ManagedBy":{"type":"object","readOnly":true,"description":"Present when this entity is managed outside of the ilert web app, for example through Terraform, Pulumi or the API. Read-only.","properties":{"type":{"type":"string","enum":["API","TERRAFORM","PULUMI","ILERT"]},"source":{"type":"string","description":"Identifier of the system managing this entity."}}}}},"paths":{"/event-flows/name/{name}":{"get":{"tags":["Event Flows"],"summary":"Get the event flow with the specified name.","parameters":[{"name":"name","in":"path","description":"unique name of the event flow","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The requested event flow","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventFlow"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ilert.com/developer-docs/rest-api/api-reference/event-flows.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
